<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
        <title>Test Upload</title>
    </head>
    <body>
        <input type="file" id="fileInput" />
        <button id="uploadButton">Upload!</button>
        <button id="fragmentButton">Create Fragment!</button>
        <script>
            var uploadButton = document.getElementById('uploadButton');
            uploadButton.onclick = function() {
                var fileInput = document.getElementById('fileInput');
                if (fileInput.files[0]) {
                    var req = new XMLHttpRequest();
                    req.open("PUT", "http://localhost:8000/uploads/upload/" + fileInput.files[0].name);
                    req.setRequestHeader("Authorization", "Token d79c534a90775b740adc1c50168d1f43c2925005");
                    req.setRequestHeader("Content-type", fileInput.files[0].type);
                    req.onload = function(event) {
                        alert(event.target.responseText);
                    };
                    req.send(fileInput.files[0])
                }

            };
            var fragmentButton = document.getElementById('fragmentButton');
            fragmentButton.onclick = function(inputs) {
                var req = new XMLHttpRequest();
                req.open("POST", "http://localhost:8000/room/fragment/");
                req.setRequestHeader("Authorization", "Token d79c534a90775b740adc1c50168d1f43c2925005");
                req.setRequestHeader("Content-type", "application/json");
                req.onload = function(event) {
                    alert(event.target.responseText);
                };
                req.send(JSON.stringify({
                    "x": 11,
                    "y": 12,
                    "width": 100,
                    "height": 100,
                    "scale": 1,
                    "content": {"test": null},
                    "room": 1,
                    "file_hash": "8dfc3f494df2c1ca26bc844b2d19bbdacf87b033493eb3d371e5ffea7a866624"
                }));
            };

        </script>
    </body>
</html>